Name:           jboss-reflect
Version:        2.0.2
Release:        2%{?dist}
Summary:        JBoss Reflection

Group:          Development/Libraries

License:        LGPLv2+
URL:            http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-reflect/tags/2.0.2.GA/ jboss-reflect-2.0.2
# tar cJf jboss-reflect-2.0.2.tar.xz jboss-reflect-2.0.2
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-pom.patch

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  javassist
BuildRequires:  jboss-common-core
BuildRequires:  jboss-logging
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4

Requires:       java
Requires:       javassist
Requires:       jboss-common-core
Requires:       jboss-logging
Requires:       jpackage-utils

%description
JBoss Reflection

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile the test dir because of missing deps
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%patch0

%build
mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Jul 17 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.2-2
- Add maven-surefire-provider-junit4 as BR; fix license field.

* Tue Jul 17 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.2-1
- Initial packaging.
